#include <bits/stdc++.h>

using namespace std;

struct Frilenser{
    int a;
    double p;
}f[200005];

int sum,n;
double res = -1.0, pr;

int main(){

    scanf("%d", &n);

    for(int i=1; i<=n; i++){
        scanf("%d%lf", &f[i].a, &f[i].p);
        f[i].p/=100;
    }

    for(int i=1; i<=n; i++){
        pr = f[i].p;
        for(int j=1; j<=n; j++){
            if(pr <= f[j].p) sum += f[j].a;
        }
        res = max(res,(double)sum*pr);
        sum = 0;
    }

    printf("%lf\n", res);

 return 0;
}